<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="vertical">

        <include layout="@layout/include_toolbar_lr" />


        <ScrollView
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginBottom="80dp">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="vertical">


                <!-- 预览角度begin -->
                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="vertical"
                    android:padding="13dp">

                    <RelativeLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:orientation="horizontal">

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="预览角度 (0~270)"
                            android:textColor="@color/black"
                            android:textSize="17sp" />

                        <TextView
                            android:id="@+id/tv_camera_display_angle_value"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_alignParentRight="true"
                            android:text="90"
                            android:textColor="@color/black"
                            android:textSize="17sp" />
                    </RelativeLayout>

                    <SeekBar
                        android:id="@+id/seekbar_camera_display_angle"
                        style="@style/CustomSeekbarStyle"
                        android:layout_width="match_parent"
                        android:layout_height="@dimen/dp_22"
                        android:layout_marginTop="15dp"
                        android:max="270"
                        android:min="0"
                        android:progress="90"
                        android:splitTrack="false" />
                </LinearLayout>

                <View style="@style/line" />
                <!-- 预览角度end -->


                <!-- 送算法的图像角度（0~270）begin -->
                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="vertical"
                    android:padding="13dp">

                    <RelativeLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:orientation="horizontal">

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="送算法的图像角度（0~270）"
                            android:textColor="@color/black"
                            android:textSize="17sp" />

                        <TextView
                            android:id="@+id/tv_algorithm_image_angle_value"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_alignParentRight="true"
                            android:text="270"
                            android:textColor="@color/black"
                            android:textSize="17sp" />
                    </RelativeLayout>

                    <SeekBar
                        android:id="@+id/seekbar_algorithm_image_angle"
                        style="@style/CustomSeekbarStyle"
                        android:layout_width="match_parent"
                        android:layout_height="@dimen/dp_22"
                        android:layout_marginTop="15dp"
                        android:max="270"
                        android:min="0"
                        android:progress="270"
                        android:splitTrack="false" />
                </LinearLayout>

                <View style="@style/line" />
                <!-- 送算法的图像角度（0~270）end -->


                <!-- 用于ir摄像头算法角度（0~270）begin -->
                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="vertical"
                    android:padding="13dp">

                    <RelativeLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:orientation="horizontal">

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="用于ir摄像头算法角度（0~270）"
                            android:textColor="@color/black"
                            android:textSize="17sp" />

                        <TextView
                            android:id="@+id/tv_ir_algorithm_angle_value"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_alignParentRight="true"
                            android:text="270"
                            android:textColor="@color/black"
                            android:textSize="17sp" />
                    </RelativeLayout>

                    <SeekBar
                        android:id="@+id/seekbar_ir_algorithm_angle"
                        style="@style/CustomSeekbarStyle"
                        android:layout_width="match_parent"
                        android:layout_height="@dimen/dp_22"
                        android:layout_marginTop="15dp"
                        android:max="270"
                        android:min="0"
                        android:progress="270"
                        android:splitTrack="false" />
                </LinearLayout>

                <View style="@style/line" />
                <!-- 用于ir摄像头算法角度（0~270）end -->

                <!-- 预览图像是否需要镜像begin -->
                <RelativeLayout
                    android:id="@+id/item_preview_image_isMirror"
                    style="@style/item_parent_switch">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="match_parent"
                        android:layout_centerVertical="true"
                        android:gravity="center"
                        android:text="预览图像是否需要镜像"
                        android:textColor="@color/black"
                        android:textSize="17sp" />

                    <ImageView
                        android:id="@+id/iv_preview_image_isMirror"
                        style="@style/iv_switch"
                        android:layout_alignParentRight="true"
                        android:layout_centerVertical="true"
                        android:background="@mipmap/iv_swich_close" />
                </RelativeLayout>

                <View style="@style/line" />
                <!-- 预览图像是否需要镜像end -->

                <!-- 送算法图像是否镜像begin -->
                <RelativeLayout
                    android:id="@+id/item_algorithm_isMirror"
                    style="@style/item_parent_switch">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="match_parent"
                        android:layout_centerVertical="true"
                        android:gravity="center"
                        android:text="送算法图像是否镜像"
                        android:textColor="@color/black"
                        android:textSize="17sp" />

                    <ImageView
                        android:id="@+id/iv_algorithm_isMirror"
                        style="@style/iv_switch"
                        android:layout_alignParentRight="true"
                        android:layout_centerVertical="true"
                        android:background="@mipmap/iv_swich_close" />
                </RelativeLayout>

                <View style="@style/line" />
                <!-- 送算法图像是否镜像end -->

            </LinearLayout>

        </ScrollView>

    </LinearLayout>


    <TextView
        android:id="@+id/tv_confirm"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_alignParentBottom="true"
        android:layout_centerVertical="true"
        android:layout_marginLeft="26dp"
        android:layout_marginRight="26dp"
        android:layout_marginBottom="23dp"
        android:background="@drawable/shape_solid_gray_3f4471_corner_2"
        android:gravity="center"
        android:paddingTop="10dp"
        android:paddingBottom="10dp"
        android:text="保存配置"
        android:textColor="@color/white"
        android:textSize="17sp" />


</RelativeLayout>